ATAPI_CHECK_DMA(9)

NAME
atapi_check_dma - Check whether ATAPI DMA can be supported

SYNOPSIS

int atapi_check_dma(struct ata_queued_cmd * qc);

ARGUMENTS

qc
    Metadata associated with taskfile to check

DESCRIPTION

Allow low-level driver to filter ATA PACKET commands, returning a status indicating whether or not it is OK to use DMA for the supplied PACKET command.

LOCKING

spin_lock_irqsave(host lock)

RETURNS

0 when ATAPI DMA can be used nonzero otherwise

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT